classification
Title: Win32ErrorTests from test_os.py
Type: behavior Stage: resolved
Components: Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, eric.araujo, rpetrov
Priority: normal Keywords:

Created on 2008-09-25 18:35 by rpetrov, last changed 2010-07-27 22:28 by eric.araujo. This issue is now closed.

Messages (6)
msg73807 - (view) Author: Roumen Petrov (rpetrov) * Date: 2008-09-25 18:35
test method       - call os.method
test_mkdir(self)  - os.chdir
test_access(self) - os.utime
test_chmod(self)  - os.utime

Is the test correct ?
msg108713 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-06-26 11:59
Here is the code from test_os.py for Python 2.6.5.

def test_mkdir(self):
    self.assertRaises(WindowsError, os.chdir, test_support.TESTFN)
def test_access(self):
    self.assertRaises(WindowsError, os.utime, test_support.TESTFN, 0)
def test_chmod(self):
    self.assertRaises(WindowsError, os.utime, test_support.TESTFN, 0)

The OP is saying shouldn't there be calls to os.mkdir, os.access and os.chmod respectively?
msg111730 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-27 20:54
Already fixed in 2.7, 3.1 and 3.2.
msg111731 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-27 20:58
Nice catch Roumen.

Mark, can you tell which revisions the bug was fixed in? (writing “rNNN” or “rev NNN” will generate appropriate links) Thanks.
msg111738 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-27 22:24
Éric please see R69364.
msg111739 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-27 22:28
Thanks. I trust you that the other branches are fixed too; in future messages on other bugs reports, kindly include all revisions involved.

I’ve learned that Roundup does not recognize an upper-case R (have I already said I hate implicit markup?).
History
Date User Action Args
2010-07-27 22:28:34eric.araujosetmessages: + msg111739
2010-07-27 22:24:25BreamoreBoysetmessages: + msg111738
2010-07-27 20:58:45eric.araujosetnosy: + eric.araujo
messages: + msg111731
2010-07-27 20:54:10BreamoreBoysetstatus: open -> closed
type: behavior
messages: + msg111730

resolution: out of date
stage: resolved
2010-06-26 11:59:44BreamoreBoysetnosy: + BreamoreBoy
messages: + msg108713
2008-09-25 18:35:49rpetrovcreate